<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */

add_action('admin_init', 's7upf_custom_meta_boxes');
if(!function_exists('s7upf_custom_meta_boxes')){
    function s7upf_custom_meta_boxes(){
        //Format content
        $format_metabox = array(
            'id' => 'block_format_content',
            'title' => esc_html__('Format Settings', 'isone'),
            'desc' => '',
            'pages' => array('post'),
            'context' => 'normal',
            'priority' => 'high',
            'fields' => array(                
                array(
                    'id' => 'format_image',
                    'label' => esc_html__('Upload Image', 'isone'),
                    'type' => 'upload',
                ),
                array(
                    'id' => 'format_gallery',
                    'label' => esc_html__('Add Gallery', 'isone'),
                    'type' => 'Gallery',
                ),
                array(
                    'id' => 'format_media',
                    'label' => esc_html__('Link Media', 'isone'),
                    'type' => 'text',
                )
            ),
        );
        // SideBar
    	$sidebar_metabox_default = array(
            'id'        => 's7upf_sidebar_option',
            'title'     => 'Advanced Settings',
            'desc'      => '',
            'pages'     => array( 'page','post','product'),
            'context'   => 'side',
            'priority'  => 'low',
            'fields'    => array(
                array(
                    'id'          => 's7upf_sidebar_position',
                    'label'       => esc_html__('Sidebar position ','isone'),
                    'type'        => 'select',
                    'std' => '',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','isone'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('No Sidebar','isone'),
                            'value'=>'no'
                        ),
                        array(
                            'label'=>esc_html__('Left sidebar','isone'),
                            'value'=>'left'
                        ),
                        array(
                            'label'=>esc_html__('Right sidebar','isone'),
                            'value'=>'right'
                        ),
                    ),

                ),
                array(
                    'id'        =>'s7upf_select_sidebar',
                    'label'     =>esc_html__('Selects sidebar','isone'),
                    'type'      =>'sidebar-select',
                    'condition' => 's7upf_sidebar_position:not(no),s7upf_sidebar_position:not()',
                ),
                array(
                    'id'          => 's7upf_show_breadrumb',
                    'label'       => esc_html__('Show Breadcrumb','isone'),
                    'type'        => 'select',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','isone'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('Yes','isone'),
                            'value'=>'yes'
                        ),
                        array(
                            'label'=>esc_html__('No','isone'),
                            'value'=>'no'
                        ),
                    ),

                ),
                array(
                    'id'          => 's7upf_header_page',
                    'label'       => esc_html__('Choose page header','isone'),
                    'type'        => 'select',
                    'choices'     => s7upf_list_post_type('s7upf_header')
                ),
                array(
                    'id'          => 's7upf_footer_page',
                    'label'       => esc_html__('Choose page footer','isone'),
                    'type'        => 'select',
                    'choices'     => s7upf_list_post_type('s7upf_footer')
                ),
                array(
                    'id'          => 'body_bg',
                    'label'       => esc_html__('Body Background','isone'),
                    'type'        => 'colorpicker',
                ), 
            )
        );
        //Show page title
        $show_page_title = array(
            'id' => 'page_title_setting',
            'title' => esc_html__('Page setting', 'isone'),
            'pages' => array('page'),
            'context' => 'normal',
            'priority' => 'high',
            'fields' => array(
                array(
                    'id' => 'show_title_page',
                    'label' => esc_html__('Show title', 'isone'),
                    'type' => 'on-off',
                    'std'   => 'on',
                ),
                array(
                    'id'          => 'main_color',
                    'label'       => esc_html__('Main color','isone'),
                    'type'        => 'colorpicker',
                ),
                array(
                    'id'          => 'main_color2',
                    'label'       => esc_html__('Main color 2','isone'),
                    'type'        => 'colorpicker',
                ),
                array(
                    'id'          => 'container_width',
                    'label'       => esc_html__('Custom container width(px)','isone'),
                    'type'        => 'text',
                ),
                 array(
                    'id'          => 's7upf_menu_fixed',
                    'label'       => esc_html__('Menu Fixed','isone'),
                    'desc'        => 'Menu change to fixed when scroll',
                    'type'        => 'select',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','isone'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('On','isone'),
                            'value'=>'on'
                        ),
                        array(
                            'label'=>esc_html__('Off','isone'),
                            'value'=>'off'
                        ),
                    ),
                ),
                array(
                    'id' => 'shop_ajax',
                    'label' => esc_html__('Shop Ajax', 'isone'),
                    'type' => 'select',
                    'std'   => '',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','isone'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('On','isone'),
                            'value'=>'on'
                        ),
                        array(
                            'label'=>esc_html__('Off','isone'),
                            'value'=>'off'
                        ),
                    ),
                ),
                array(
                    'id'          => 'show_header_page',
                    'label'       => esc_html__('Header page image','isone'),
                    'type'        => 'select',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','isone'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('Yes','isone'),
                            'value'=>'on'
                        ),
                        array(
                            'label'=>esc_html__('No','isone'),
                            'value'=>'off'
                        ),
                    ),
                ),
                array(
                    'id'          => 'header_page_style',
                    'label'       => esc_html__('Header image style','isone'),
                    'type'        => 'select',
                    'condition'   => 'show_header_page:is(on)',
                    'choices'     => array(
                        array(
                            'value'=>'',
                            'label'=>esc_html__('Default','isone'),
                        ),
                        array(
                            'value'=>'boxed-slider radius',
                            'label'=>esc_html__('Box Radius','isone'),
                        ),
                        array(
                            'value'=>'full-width',
                            'label'=>esc_html__('Full Width','isone'),
                        ),
                    )
                ),
                array(
                    'id'          => 'header_page_image',
                    'label'       => esc_html__('Header page Image','isone'),
                    'type'        => 'list-item',
                    'condition'   => 'show_header_page:is(on)',
                    'settings'    => array( 
                        array(
                            'id'          => 'header_image',
                            'label'       => esc_html__('Header image','isone'),
                            'type'        => 'upload',
                        ),
                        array(
                            'id'          => 'header_des',
                            'label'       => esc_html__('Description','isone'),
                            'type'        => 'text',
                        ),
                        array(
                            'id'          => 'header_link',
                            'label'       => esc_html__('Link','isone'),
                            'type'        => 'text',
                        ),
                    ),
                ),
            )
        );
        $product_custom_tab = array(
            'id' => 'block_product_custom_tab',
            'title' => esc_html__('Product Display', 'isone'),
            'desc' => '',
            'pages' => array('product'),
            'context' => 'normal',
            'priority' => 'low',
            'fields' => array(
                array(
                    'id'          => 'product_tab_detail',
                    'label'       => esc_html__('Product Tab Style','isone'),
                    'type'        => 'select',
                    'choices'     => array(                                                    
                        array(
                            'value'=> '',
                            'label'=> esc_html__("Normal", 'isone'),
                        ),
                        array(
                            'value'=> 'tab-toggle',
                            'label'=> esc_html__("Tab Toggle", 'isone'),
                        ),
                        array(
                            'value'=> 'detail-without-sidebar',
                            'label'=> esc_html__("Tab Vertical", 'isone'),
                        ),
                    )
                ),
                array(
                    'id'          => 'product_tab_data',
                    'label'       => esc_html__('Custom Tab','isone'),
                    'type'        => 'list-item',
                    'settings'    => array(
                        array(
                            'id' => 'tab_content',
                            'label' => esc_html__('Content', 'isone'),
                            'type' => 'textarea',
                        ),
                    )
                ),                
                array(
                    'id' => 'des_content',
                    'label' => esc_html__('Special Short Description', 'isone'),
                    'type' => 'textarea',
                ),
            ),
        );
        $product_trendding = array(
            'id' => 'product_trendding',
            'title' => esc_html__('Product Type', 'isone'),
            'desc' => '',
            'pages' => array('product'),
            'context' => 'side',
            'priority' => 'high',
            'fields' => array(                
                array(
                    'id'    => 'trending_product',
                    'label' => esc_html__('Product Trendding', 'isone'),
                    'type'        => 'on-off',
                    'std'         => 'off'
                ),
            ),
        );
        $product_metabox = array(
            'id' => 'block_product_thumb_hover',
            'title' => esc_html__('Product Settings', 'isone'),
            'desc' => '',
            'pages' => array('product'),
            'context' => 'side',
            'priority' => 'low',
            'fields' => array(                
                array(
                    'id'    => 'product_thumb_hover',
                    'label' => esc_html__('Product hover image', 'isone'),
                    'type'  => 'upload',
                ),
                array(
                    'id'          => 'attribute_style',
                    'label'       => esc_html__('Attributes Style','isone'),
                    'type'        => 'select',
                    'choices'     => array(  
                        array(
                            'value'=> '',
                            'label'=> esc_html__("-- Select --", 'isone'),
                        ),                                                  
                        array(
                            'value'=> 'default',
                            'label'=> esc_html__("Default", 'isone'),
                        ),
                        array(
                            'value'=> 'special',
                            'label'=> esc_html__("Special", 'isone'),
                        ),
                    )
                ),
                array(
                    'id'          => 'product_tab_detail',
                    'label'       => esc_html__('Product Tab Style','isone'),
                    'type'        => 'select',
                    'choices'     => array(  
                        array(
                            'value'=> '',
                            'label'=> esc_html__("Normal", 'isone'),
                        ),
                        array(
                            'value'=> 'tab-toggle',
                            'label'=> esc_html__("Tab Toggle", 'isone'),
                        ),
                    )
                ),
            ),
        );
        if (function_exists('ot_register_meta_box')){
            ot_register_meta_box($format_metabox);
            ot_register_meta_box($sidebar_metabox_default);            
            ot_register_meta_box($show_page_title);
            ot_register_meta_box($product_custom_tab);
            ot_register_meta_box($product_trendding);
            ot_register_meta_box($product_metabox);
        }
    }
}
?>