<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_banner_video'))
{
    function s7upf_vc_banner_video($attr, $content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'poster'        => '',
            'video_link'    => '',
            'loop'          => '',
            'autoplay'      => '',
            'muted'      => '',
        ),$attr));
        $controls = $loop .' '.$autoplay.' '.$muted.' poster="'.esc_url(wp_get_attachment_image_url($poster,'full')).'"';
        $bg_class = S7upf_Assets::build_css('background-image:url('.esc_url(wp_get_attachment_image_url($poster,'full')).')');
        switch ($style) {
            case 'style2':
                $html .=    '<div class="banner-video13 '.esc_attr($bg_class).'">
                                <video '.$controls.'>
                                  <source type="video/mp4" src="'.esc_url($video_link).'" autoplay>
                                </video>
                                <div class="inner-banner-vide13 text-center">
                                    '.wpb_js_remove_wpautop($content, true).'
                                    <a href="#" class="title30 color btn-video-control"></a>
                                </div>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="banner-slider banner-video10 banner-video-parallax">
                                <video '.$controls.'>
                                    <source type="video/mp4" src="'.esc_url($video_link).'">
                                </video>
                                <div class="banner-info white text-center">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;
        }
        return $html;
    }
}

stp_reg_shortcode('s7upf_banner_video','s7upf_vc_banner_video');

vc_map( array(
    "name"      => esc_html__("SV banner video", 'isone'),
    "base"      => "s7upf_banner_video",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Video style', 'isone' ),
            'param_name'  => 'style',
            'value'       => array(
                esc_html__( 'Default', 'isone' )       => '',
                esc_html__( 'Style 2', 'isone' )       => 'style2',
            ),
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Poster",'isone'),
            "param_name" => "poster",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Video source",'isone'),
            "param_name" => "video_link",
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Loop', 'isone' ),
            'param_name'  => 'loop',
            'value'       => array(
                esc_html__( 'No', 'isone' )       => '',
                esc_html__( 'Yes', 'isone' )       => 'loop',
            ),
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Autoplay', 'isone' ),
            'param_name'  => 'autoplay',
            'value'       => array(
                esc_html__( 'No', 'isone' )       => '',
                esc_html__( 'Yes', 'isone' )       => 'autoplay',
            ),
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Muted', 'isone' ),
            'param_name'  => 'muted',
            'value'       => array(
                esc_html__( 'No', 'isone' )       => '',
                esc_html__( 'Yes', 'isone' )       => 'muted',
            ),
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => esc_html__("Content",'isone'),
            "param_name" => "content",
        )
    )
));