<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_search_form'))
{
    function s7upf_vc_search_form($attr)
    {
        $html = $label_sm = '';
        extract(shortcode_atts(array(
            'style'             => 'smart-search19',
            'placeholder'       => esc_html__("Search..","isone"),
            'live_search'       => 'on',
            'cats'              => '',
            'cats_hidden'       => '',
        ),$attr));
        if(!empty($cats)) $cats = str_replace(' ', '', $cats);
        ob_start();
        $search_val = get_search_query();
        if(!empty($search_val)) $search_val = $placeholder;
        switch ($style) {
            case 'search-form10':
                ?>
                <div class="<?php echo esc_attr($style)?> cat-dropdown-<?php echo esc_attr($cats_hidden)?> live-search-<?php echo esc_attr($live_search)?>">
                    <form class="smart-search-form" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                        <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                        <input type="hidden" name="post_type" value="product" />
                        <div class="submit-form">
                            <input type="submit" value="">
                        </div>
                        <div class="list-product-search">
                            <p class="text-center"><?php esc_html_e("Please enter key search to display results.","isone")?></p>
                        </div>
                    </form>                    
                </div>
                <?php
                break;
            
            default:
                ?>
                <div class="smart-search <?php echo esc_attr($style)?> cat-dropdown-<?php echo esc_attr($cats_hidden)?> live-search-<?php echo esc_attr($live_search)?>">
                    <?php if($cats_hidden !== 'off'):?>
                    <div class="select-category">
                        <a href="#" class="category-toggle-link">
                            <span><?php esc_html_e("All Categories","isone")?></span>
                        </a>
                        <ul class="list-category-toggle list-unstyled">
                            <li class="active"><a href="#" data-filter=""><?php esc_html_e("Categories",'isone')?></a></li>
                            <?php 
                                if(!empty($cats)){
                                    $custom_list = explode(",",$cats);
                                    foreach ($custom_list as $key => $cat) {
                                        $term = get_term_by( 'slug',$cat, 'product_cat' );
                                        if(!empty($term) && is_object($term)){
                                            if(!empty($term) && is_object($term)){
                                                echo '<li><a href="#" data-filter=".'.$term->slug.'">'.$term->name.'</a></li>';
                                            }
                                        }
                                    }
                                }
                                else{
                                    $product_cat_list = get_terms('product_cat');
                                    if(is_array($product_cat_list) && !empty($product_cat_list)){
                                        foreach ($product_cat_list as $cat) {
                                            echo '<li><a href="#" data-filter=".'.$cat->slug.'">'.$cat->name.'</a></li>';
                                        }
                                    }
                                }
                            ?>
                        </ul>
                    </div>
                    <?php endif;?>
                    <form class="smart-search-form" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                        <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                        <input type="hidden" name="post_type" value="product" />
                        <div class="submit-form1">
                            <input type="submit" value="">
                        </div>
                        <?php if($cats_hidden !== 'off'):?>
                        <input class="cat-value" type="hidden" name="product_cat" value="" />
                        <?php endif;?>
                        <div class="list-product-search">
                            <p class="text-center"><?php esc_html_e("Please enter key search to display results.","isone")?></p>
                        </div>
                    </form>
                </div>
                <?php
                break;
        }        
        $html .=    ob_get_clean();
        return $html;
    }
}

stp_reg_shortcode('sv_search_form','s7upf_vc_search_form');
$check_add = '';
if(isset($_GET['return'])) $check_add = $_GET['return'];
if(empty($check_add)) add_action( 'vc_before_init_base','sv_add_admin_search',10,100 );
if ( ! function_exists( 'sv_add_admin_search' ) ) {
    function sv_add_admin_search(){
        vc_map( array(
            "name"      => esc_html__("SV Search Form", 'isone'),
            "base"      => "sv_search_form",
            "icon"      => "icon-st",
            "category"  => '7Up-theme',
            "params"    => array(
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Style",'isone'),
                    "param_name" => "style",
                    "value"     => array(
                        esc_html__("Default",'isone')   => 'smart-search19',
                        esc_html__("Default(Border)",'isone')   => 'smart-search19 form-border',
                        )
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Live Search",'isone'),
                    "param_name" => "live_search",
                    "value"     => array(
                        esc_html__("On",'isone')   => 'on',
                        esc_html__("Off",'isone')   => 'off',
                        )
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Place holder input",'isone'),
                    "param_name" => "placeholder",
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Categories",'isone'),
                    "param_name" => "cats_hidden",
                    "value"     => array(
                        esc_html__("On",'isone')   => '',
                        esc_html__("Off",'isone')   => 'off',
                        )
                ),
                array(
                    'holder'     => 'div',
                    'heading'     => esc_html__( 'Product Categories', 'isone' ),
                    'type'        => 'autocomplete',
                    'param_name'  => 'cats',
                    'settings' => array(
                        'multiple' => true,
                        'sortable' => true,
                        'values' => s7upf_get_product_taxonomy(),
                    ),
                    'save_always' => true,
                    'description' => esc_html__( 'List of product categories', 'isone' ),
                ),
            )
        ));
    }
}
add_action( 'wp_ajax_live_search', 's7upf_live_search' );
add_action( 'wp_ajax_nopriv_live_search', 's7upf_live_search' );
if(!function_exists('s7upf_live_search')){
    function s7upf_live_search() {
        $key = $_POST['key'];
        $cat = $_POST['cat'];
        $post_type = $_POST['post_type'];
        $taxonomy = $_POST['taxonomy'];
        $trim_key = trim($key);
        $args = array(
            'post_type' => $post_type,
            's'         => $key,
            'posts_per_page'         => -1,
            );
        if(!empty($cat)) {
            $args['tax_query'][]=array(
                'taxonomy'  =>  $taxonomy,
                'field'     =>  'slug',
                'terms'     =>  $cat
            );
        }
        $args2 = array(
            'post_type' => $post_type,
            'posts_per_page'         => -1,
            );
        $args2['meta_query'][] = array(
                                'key'     => '_sku',
                                'value'   => $key,
                                'compare' => 'LIKE',
                            );
        if(!empty($cat)) {
            $args2['tax_query'][]=array(
                'taxonomy'  =>  $taxonomy,
                'field'     =>  'slug',
                'terms'     =>  $cat
            );
        }
        $query = new WP_Query( $args );
        $query2 = new WP_Query( $args2 );
        if( $query->have_posts() && !empty($key) && !empty($trim_key)){
            while ( $query->have_posts() ) : $query->the_post();
                global $product;
                echo    '<div class="item-search-pro">
                            <div class="search-ajax-thumb product-thumb">
                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                    '.get_the_post_thumbnail(get_the_ID(),array(50,50)).'
                                </a>
                            </div>
                            <div class="search-ajax-title"><h3 class="title14"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3></div>
                            <div class="search-ajax-price">
                                '.s7upf_get_price_html().'
                            </div>
                        </div>';
            endwhile;
        }
        else{
            if( $query2->have_posts() && !empty($key) && !empty($trim_key)){
                while ( $query2->have_posts() ) : $query2->the_post();
                    global $product;
                    echo    '<div class="item-search-pro">
                                <div class="search-ajax-thumb product-thumb">
                                    <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                        '.get_the_post_thumbnail(get_the_ID(),array(50,50)).'
                                    </a>
                                </div>
                                <div class="search-ajax-title"><h3 class="title14"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3></div>
                                <div class="search-ajax-price">
                                    '.s7upf_get_price_html().'
                                </div>
                            </div>';
                endwhile;
            }
            else echo '<p class="text-center">'.esc_html__("No any results with this keyword.","isone").'</p>';
        }
        wp_reset_postdata();
    }
}