<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_service'))
{
    function s7upf_vc_service($attr,$content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'      => 'default',
            'title'      => '',
            'des'        => '',
            'icon'       => '',
            'image'      => '',
            'link'       => '',
            'bg_color'   => '',
            'el_class'   => '',
        ),$attr));
        switch ($style) {
            case 'home13':
                $html .=    '<div class="item-adv-intro14 table">
                                <div class="adv-intro-thumb"><a href="'.esc_url($link).'" class="push">'.wp_get_attachment_image($image,'full').'</a></div>';
                if(!empty($content)){
                    $html .=    '<div class="adv-intro-text">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>';
                }
                $html .=    '</div>';
                break;

            case 'home10-footer':
                $html .=    '<div class="item-service-footer">
                                <div class="service-icon">
                                    <a href="'.esc_url($link).'" class="wobble-horizontal">'.wp_get_attachment_image($image,'full',0,array('class'=>'img-circle')).'</a>
                                </div>
                                <div class="service-info">';
                if(!empty($title)) $html .=    '<h2 class="title14">'.esc_html($title).'</h2>';
                $html .=            wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;

            case 'home10':
                $html .=    '<div class="item-service10 table">
                                <div class="service-icon10">
                                    <a href="'.esc_url($link).'" class="title30 color"><i class="fa '.esc_attr($icon).'"></i></a>
                                </div>
                                <div class="service-info10">
                                    <span class="silver">'.esc_html($des).'</span>';
                if(!empty($title)) $html .= '<h3 class="title18"><a href="'.esc_url($link).'" class="dark">'.esc_html($title).'</a></h3>';
                $html .=        '</div>
                            </div>';
                break;

            case 'home3-footer':
                $html .=    '<div class="item-customer white text-center '.esc_attr($el_class).'">
                                <div class="customer-thumb">
                                    <a href="'.esc_url($link).'" class="wobble-horizontal"><i class="fa '.esc_attr($icon).'"></i></a>
                                </div>
                                <div class="customer-info">';
                if(!empty($title)) $html .= '<h3 class="title18">'.esc_html($title).'</h3>';
                $html .=            wpb_js_remove_wpautop($content, true);
                $html .=        '</div>
                            </div>';
                break;

            case 'home-3':
                if(empty($bg_color)) $bg_color = s7upf_get_value_by_id('main_color');
                $bg_color = S7upf_Assets::build_css('background-color:'.$bg_color);
                $html .=    '<div class="item-service19 table '.esc_attr($bg_color).' '.esc_attr($el_class).'">
                                <div class="service-icon">
                                    <a href="'.esc_url($link).'"><i class="fa '.esc_attr($icon).'"></i></a>
                                </div>
                                <div class="service-info">
                                    <p>'.esc_html($title).'</p>
                                </div>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="item-service2 bg-white text-center '.esc_attr($el_class).'">
                                <a href="'.esc_url($link).'">
                                    <span class="title30 color2"><i class="fa '.esc_attr($icon).'" aria-hidden="true"></i></span>
                                    '.esc_html($title).'
                                </a>
                            </div>';
                break;
        }        
        
        return $html;
    }
}

stp_reg_shortcode('s7upf_service','s7upf_vc_service');

vc_map( array(
    "name"      => esc_html__("SV Service", 'isone'),
    "base"      => "s7upf_service",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type"          => "dropdown",
            "holder"        => "div",
            "heading"       => esc_html__("Style Post",'isone'),
            "param_name"    => "style",
            "value"         => array(
                esc_html__("Default","isone")   => 'default',
                esc_html__("Icon background","isone")   => 'home-3',
                esc_html__("Icon footer 3","isone")   => 'home3-footer',
                esc_html__("Icon home 10","isone")   => 'home10',
                esc_html__("Icon footer home 10","isone")   => 'home10-footer',
                esc_html__("Icon image home 13","isone")   => 'home13',
                ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'isone' ),
            'param_name' => 'icon',
            'value' => '',
            'settings' => array(
                'emptyIcon' => true,
                'iconsPerPage' => 4000,
            ),
            'description' => esc_html__( 'Select icon from library.', 'isone' ),
            'dependency' => array(
                'element' => 'style',
                'value' => array('default','home-3','home3-footer','home10'),
            ),
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image",'isone'),
            "param_name" => "image",
            'dependency' => array(
                'element' => 'style',
                'value' => array('home10-footer','home13'),
            ),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Background",'isone'),
            "param_name" => "bg_color",
            'dependency' => array(
                'element' => 'style',
                'value' => array('home-3'),
            ),
        ),
        array(
            "type" => "textfield",
            "holder"        => "div",
            "heading" => esc_html__("Title",'isone'),
            "param_name" => "title",
        ),
        array(
            "type" => "textfield",
            "holder"        => "div",
            "heading" => esc_html__("Description",'isone'),
            "param_name" => "des",
            'dependency' => array(
                'element' => 'style',
                'value' => array('home10'),
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Link",'isone'),
            "param_name" => "link",
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => esc_html__("Content",'isone'),
            "param_name" => "content",
            'dependency' => array(
                'element' => 'style',
                'value' => array('home3-footer','home10-footer','home13'),
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra Class",'isone'),
            "param_name" => "el_class",
        ),
    )
));